- if (!commit.raw) { commit.raw = "https://raw.gitarchive.com/v1/" + resource.id + "/" + commit.id + "/body"; }

<!DOCTYPE html>
html
    include ../layouts/head
    body
        include ../layouts/header
        include tabs
        content
            div.container
                <h2 class="content-title">Raw of <a href="#{resource.location}" rel="nofollow">#{resource.location}</a></h2>
                .file
                    .file-header
                        .file-actions
                            a(href="./") #{lib.teaseHash(commit.id)}
                            time on #{lib.moment(commit.time_committed).format('lll')}
                        .file-info
                            span #{lib.filesize(0)}
                            span.file-info-divider
                            span#js-file-line-count _ lines
                    .file-raw(itemprop="text")
                        <table class="file-line-container" id="js-file-line-container" data-raw="#{commit.raw}">
                            <tbody><tr><td><div class="file-line-loading"><div class="lds-ring"><div></div><div></div><div></div><div></div></div></div></td></tr></tbody>
                        </table>
    script.
        var fileLineContainer = document.getElementById('js-file-line-container')
        var fileRawURL = fileLineContainer.getAttribute('data-raw');

        function requestRaw (url){
            if (url === "" || typeof url === "undefined") return;

            var xmlhttp = new XMLHttpRequest();
            xmlhttp.onreadystatechange = function(){
                if (xmlhttp.readyState == 4 && xmlhttp.status == 200){
                    parseRaw(xmlhttp.responseText);
                }
            }
            xmlhttp.open("GET", url, true);
            xmlhttp.send();
        };
        
        function parseRaw (rawText) {
            var lines = rawText.split("\n"), d = document;
            var body = d.createElement('body');

            var newElt = function (tag) { return d.createElement(tag); }

            for (var i = 0; i < lines.length ; i++) {
                var tr = newElt('tr'),
                    lineNumber = i+1;
                
                var tdNum = newElt('td');
                tdNum.id="L"+lineNumber;
                tdNum.className="file-line-num";
                tdNum.setAttribute('data-line-number', lineNumber);
                tdNum.innerText = lineNumber;

                var tdInner = newElt('td');
                tdInner.id="LC"+lineNumber;
                tdInner.className="file-line-inner";

                var text = d.createTextNode(lines[i]);

                tdInner.appendChild(text);
                tr.appendChild(tdNum);
                tr.appendChild(tdInner);
                
                body.appendChild(tr);
            }
            
            fileLineContainer.innerHTML = '';
            fileLineContainer.appendChild(body);

            document.getElementById('js-file-line-count').innerText = lines.length + ' lines';
        };

        requestRaw(fileRawURL);